## ignition-fortress 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-fortress VERSION 1.0.2)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.9.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

# all list of fortress packages

ign_find_package(ignition-common4 REQUIRED VERSION 4.4)
ign_find_package(ignition-fuel_tools7 REQUIRED VERSION 7.0)
ign_find_package(ignition-gazebo6 REQUIRED VERSION 6.2)
ign_find_package(ignition-gui6 REQUIRED VERSION 6.1)
ign_find_package(ignition-launch5 REQUIRED VERSION 5.0)
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.9.2)
ign_find_package(ignition-msgs8 REQUIRED VERSION 8.1)
ign_find_package(ignition-physics5 REQUIRED VERSION 5.1)
ign_find_package(ignition-plugin1 REQUIRED VERSION 1.2.1)
ign_find_package(ignition-rendering6 REQUIRED VERSION 6.0.1)
ign_find_package(ignition-sensors6 REQUIRED VERSION 6.0.1)
ign_find_package(ignition-transport11 REQUIRED VERSION 11.0)
ign_find_package(ignition-utils1 REQUIRED VERSION 1.1)
ign_find_package(sdformat12 REQUIRED VERSION 12.1)

if(build_warnings)
  set(all_warnings " CONFIGURATION WARNINGS:")
  foreach (msg ${build_warnings})
    ign_string_append(all_warnings " -- ${msg}" DELIM "\n")
  endforeach ()
  message(WARNING "${all_warnings}")
endif (build_warnings)

if(build_errors)
  message(SEND_ERROR "-- BUILD ERRORS: These must be resolved before compiling.")
  foreach(msg ${build_errors})
    message(SEND_ERROR "-- ${msg}")
  endforeach()
  message(SEND_ERROR "-- END BUILD ERRORS\n")

  set(error_str "Errors encountered in build. Please see BUILD ERRORS above.")

  message(FATAL_ERROR "${error_str}")

endif()

install(DIRECTORY gazebodistro DESTINATION ${IGN_DATA_INSTALL_DIR})

=== debian/changelog ===
ignition-fortress (1.0.2-1~buster) buster; urgency=medium

  * ignition-fortress 1.0.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Nov 2021 10:57:12 -0800

ignition-fortress (1.0.1-2~buster) buster; urgency=medium

  * ignition-fortress 1.0.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 26 Oct 2021 22:09:47 -0700

ignition-fortress (1.0.1-1~buster) buster; urgency=medium

  * ignition-fortress 1.0.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 26 Oct 2021 17:28:01 -0700

ignition-fortress (1.0.0-1~buster) buster; urgency=medium

  * ignition-fortress 1.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 01 Oct 2021 15:10:49 -0700

ignition-fortress (1.0.0~pre1-5~buster) buster; urgency=medium

  * ignition-fortress 1.0.0~pre1-5 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 17:54:15 -0700

ignition-fortress (1.0.0~pre1-4~buster) buster; urgency=medium

  * ignition-fortress 1.0.0~pre1-4 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 17:45:59 -0700

ignition-fortress (1.0.0~pre1-3~buster) buster; urgency=medium

  * ignition-fortress 1.0.0~pre1-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 17:40:34 -0700

ignition-fortress (1.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-fortress 1.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 17:35:11 -0700

ignition-fortress (1.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-fortress 1.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 17:18:30 -0700

ignition-fortress (0.999.999-1~buster) buster; urgency=medium

  * placeholder

 -- Place Holder <placeholder@openrobotics.org>  Wed, 23 Sep 2020 16:44:44 -0700

=== debian/control ===
Source: ignition-fortress
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libignition-cmake2-dev (>= 2.9.0),
               libignition-common4-dev (>= 4.4.0),
               libignition-fuel-tools7-dev,
               libignition-gazebo6-dev (>= 6.2.0),
               libignition-gui6-dev (>= 6.1.0),
               libignition-launch5-dev,
               libignition-math6-dev (>= 6.9.2),
               libignition-math6-eigen3-dev (>= 6.9.2),
               libignition-msgs8-dev (>= 8.1.0),
               libignition-physics5-dev (>= 5.1.0),
               libignition-plugin-dev (>= 1.2.1),
               libignition-rendering6-dev (>= 6.0.1),
               libignition-sensors6-dev (>= 6.0.1),
               libignition-tools-dev (>= 1.4.0),
               libignition-transport11-dev,
               libignition-utils1-cli-dev (>= 1.1.0),
               libignition-utils1-dev (>= 1.1.0),
               libsdformat12-dev (>= 12.1.0)
Vcs-Browser: https://github.com/ignition-release/ignition-fortress-release
Vcs-Git: https://github.com/ignition-release/ignition-fortress-release
Homepage: http://ignitionrobotics.org/

Package: ignition-fortress
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.9.0),
         libignition-common4-dev (>= 4.4.0),
         libignition-fuel-tools7-dev,
         libignition-gazebo6-dev (>= 6.2.0),
         libignition-gui6-dev (>= 6.1.0),
         libignition-launch5-dev,
         libignition-math6-dev (>= 6.9.2),
         libignition-math6-eigen3-dev (>= 6.9.2),
         libignition-msgs8-dev (>= 8.1.0),
         libignition-physics5-dev (>= 5.1.0),
         libignition-plugin-dev (>= 1.2.1),
         libignition-rendering6-dev (>= 6.0.1),
         libignition-sensors6-dev (>= 6.0.1),
         libignition-tools-dev (>= 1.4.0),
         libignition-transport11-dev,
         libignition-utils1-cli-dev (>= 1.1.0),
         libignition-utils1-dev (>= 1.1.0),
         libsdformat12-dev (>= 12.1.0),
         ${misc:Depends}
Multi-Arch: foreign
Description: Collection of ignition robotics packages - Fortress
  This is a metapackage used for triggering the whole collection of ignition
  packages corresponding to the Fortress collection

## ignition-fortress 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fortress VERSION 1.0.2)
+project(ignition-fortress VERSION 1.0.3)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.9.0 REQUIRED)
+find_package(ignition-cmake2 2.12.1 REQUIRED)
 
 #============================================================================
 # Configure the project
@@ -18,20 +18,20 @@
 
 # all list of fortress packages
 
-ign_find_package(ignition-common4 REQUIRED VERSION 4.4)
+ign_find_package(ignition-common4 REQUIRED VERSION 4.5)
 ign_find_package(ignition-fuel_tools7 REQUIRED VERSION 7.0)
-ign_find_package(ignition-gazebo6 REQUIRED VERSION 6.2)
-ign_find_package(ignition-gui6 REQUIRED VERSION 6.1)
-ign_find_package(ignition-launch5 REQUIRED VERSION 5.0)
-ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.9.2)
-ign_find_package(ignition-msgs8 REQUIRED VERSION 8.1)
+ign_find_package(ignition-gazebo6 REQUIRED VERSION 6.9)
+ign_find_package(ignition-gui6 REQUIRED VERSION 6.4)
+ign_find_package(ignition-launch5 REQUIRED VERSION 5.1)
+ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.10)
+ign_find_package(ignition-msgs8 REQUIRED VERSION 8.4)
 ign_find_package(ignition-physics5 REQUIRED VERSION 5.1)
 ign_find_package(ignition-plugin1 REQUIRED VERSION 1.2.1)
-ign_find_package(ignition-rendering6 REQUIRED VERSION 6.0.1)
-ign_find_package(ignition-sensors6 REQUIRED VERSION 6.0.1)
+ign_find_package(ignition-rendering6 REQUIRED VERSION 6.3.1)
+ign_find_package(ignition-sensors6 REQUIRED VERSION 6.3)
 ign_find_package(ignition-transport11 REQUIRED VERSION 11.0)
-ign_find_package(ignition-utils1 REQUIRED VERSION 1.1)
-ign_find_package(sdformat12 REQUIRED VERSION 12.1)
+ign_find_package(ignition-utils1 REQUIRED VERSION 1.4)
+ign_find_package(sdformat12 REQUIRED VERSION 12.4)
 
 if(build_warnings)
   set(all_warnings " CONFIGURATION WARNINGS:")

=== debian/changelog ===
ignition-fortress (1.0.3-2~revyos2) UNRELEASED; urgency=medium

  * Modified ign-math6 depends 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 30 May 2024 18:47:35 +0800

ignition-fortress (1.0.3-2~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64
  * http://repos.ros.org/repos/ros_bootstrap/pool/main/i/ignition-fortress/

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 30 May 2024 09:24:55 +0800

ignition-fortress (1.0.3-2~jammy) jammy; urgency=medium

  * ignition-fortress 1.0.3-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 15:50:23 -0700

ignition-fortress (1.0.3-1~jammy) jammy; urgency=medium

  * ignition-fortress 1.0.3-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 Apr 2022 17:25:13 -0700

ignition-fortress (0.999.999-1~jammy) jammy; urgency=medium

  * Placeholder

 -- Place Holder <placeholder@openrobotics.org>  Wed, 23 Sep 2020 16:44:44 -0700

=== debian/control ===
Source: ignition-fortress
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libignition-cmake-dev (>= 2.12.1),
               libignition-common-dev (>= 4.5.0),
               libignition-fuel-tools-dev,
               libignition-gazebo-dev (>= 6.9.0),
               libignition-gui-dev (>= 6.4.0),
               libignition-launch-dev (>= 5.1.0),
               libignition-math-dev (>= 6.10.0),
               libignition-msgs-dev (>= 8.4.0),
               libignition-physics-dev (>= 5.1.0),
               libignition-plugin-dev (>= 1.2.1),
               libignition-rendering-dev (>= 6.3.1),
               libignition-sensors-dev (>= 6.3.0),
               libignition-tools-dev (>= 1.4.1),
               libignition-transport-dev,
               libignition-utils-dev (>= 1.4.0),
               libsdformat-dev (>= 12.4.0)
Vcs-Browser: https://github.com/gazebo-release/gz-fortress-release
Vcs-Git: https://github.com/gazebo-release/gz-fortress-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: ignition-fortress
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.12.1),
         libignition-common-dev (>= 4.5.0),
         libignition-fuel-tools-dev,
         libignition-gazebo-dev (>= 6.9.0),
         libignition-gui-dev (>= 6.4.0),
         libignition-launch-dev (>= 5.1.0),
         libignition-math-dev (>= 6.10.0),
         libignition-msgs-dev (>= 8.4.0),
         libignition-physics-dev (>= 5.1.0),
         libignition-plugin-dev (>= 1.2.1),
         libignition-rendering-dev (>= 6.3.1),
         libignition-sensors-dev (>= 6.3.0),
         libignition-tools-dev (>= 1.4.1),
         libignition-transport-dev,
         libignition-utils-dev (>= 1.4.0),
         libsdformat-dev (>= 12.4.0),
         python3-ignition-math,
         python3-ignition-gazebo,
         ${misc:Depends}
Multi-Arch: foreign
Description: Collection of Gazebo packages - Fortress
  This is a metapackage used for triggering the whole collection of ignition
  packages corresponding to the Fortress collection

Package: gz-fortress
Depends: ignition-fortress, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
